<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#4990FA">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/id_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="13dp"
        android:layout_marginTop="14dp"
        android:src="@mipmap/fanhui"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/id_tv_city"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:drawablePadding="2dp"
        android:textColor="@color/white"
        android:textSize="18sp"
        android:textStyle="bold"
        app:drawableStartCompat="@mipmap/dingwei"
        app:layout_constraintBottom_toBottomOf="@+id/id_back"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/id_back"
        tools:text="ChengDu" />

    <TextView
        android:id="@+id/id_tv_date"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="23dp"
        android:layout_marginTop="40dp"
        android:textColor="@color/white"
        android:textSize="14sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/id_back"
        tools:text="Tue, 25 Jun" />

    <TextView
        android:id="@+id/id_tv_tmp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:textColor="@color/white"
        android:textSize="52sp"
        app:layout_constraintStart_toStartOf="@+id/id_tv_date"
        app:layout_constraintTop_toBottomOf="@+id/id_tv_date"
        tools:text="27°" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/id_img_w"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="24dp"
        android:src="@mipmap/d_qing"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/id_tv_date" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/id_tv_tmp">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/id_ll_today_weather"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="14dp"
                android:layout_marginTop="24dp"
                android:background="@drawable/bg_26000000_10"
                android:paddingVertical="22dp"
                app:layout_constraintTop_toBottomOf="@+id/id_tv_tmp">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Humidity"
                        android:textColor="#80FFFFFF" />

                    <TextView
                        android:id="@+id/id_tv_humidity"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="6dp"
                        android:textColor="@color/white"
                        android:textSize="14sp"
                        tools:text="80%" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:background="#66FFFFFF" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Wind"
                        android:textColor="#80FFFFFF" />

                    <TextView
                        android:id="@+id/id_tv_wind"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="6dp"
                        android:textColor="@color/white"
                        android:textSize="14sp"
                        tools:text="5m/s" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:background="#66FFFFFF" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Pressure"
                        android:textColor="#80FFFFFF" />

                    <TextView
                        android:id="@+id/id_tv_pressure"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="6dp"
                        android:textColor="@color/white"
                        android:textSize="14sp"
                        tools:text="965hPa" />

                </androidx.appcompat.widget.LinearLayoutCompat>
            </LinearLayout>

            <FrameLayout
                android:id="@+id/id_fl_ad"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_ffffff_10"
                app:layout_constraintTop_toBottomOf="@+id/id_ll_today_weather">

                <io.supercharge.shimmerlayout.ShimmerLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="bottom|center_horizontal"
                    android:layout_marginHorizontal="16dp"
                    android:layout_marginVertical="10dp"
                    app:shimmer_angle="25"
                    app:shimmer_animation_duration="2000"
                    app:shimmer_auto_start="true"
                    app:shimmer_color="#33ffffff"
                    app:shimmer_mask_width="0.2">

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@mipmap/adzhanweitu" />

                </io.supercharge.shimmerlayout.ShimmerLayout>

            </FrameLayout>

            <LinearLayout
                android:id="@+id/id_ll_weak"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="14dp"
                android:layout_marginTop="24dp"
                android:background="@drawable/bg_26000000_10"
                android:orientation="vertical"
                android:paddingVertical="14dp"
                app:layout_constraintTop_toBottomOf="@+id/id_fl_ad">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="11dp"
                    android:drawablePadding="5dp"
                    android:text="7 Day weather forecast"
                    android:textColor="@color/white"
                    android:textSize="12sp"
                    app:drawableStartCompat="@mipmap/rili" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/id_rl_weather"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                    tools:itemCount="7"
                    tools:listitem="@layout/item_layout_wheather" />

            </LinearLayout>
        </androidx.appcompat.widget.LinearLayoutCompat>

    </androidx.core.widget.NestedScrollView>

    <FrameLayout
        android:id="@+id/id_fl_loading"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@mipmap/tianqibg">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/id_ll_content"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:gravity="center_horizontal"
            android:orientation="vertical">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/id_zhuan"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:src="@mipmap/tianqi" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="27dp"
                android:text="Please wait..."
                android:textColor="@color/white"
                android:textSize="15sp"
                android:textStyle="bold" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <FrameLayout
            android:id="@+id/id_fl_native"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:background="@drawable/bg_ffffff_10">

            <io.supercharge.shimmerlayout.ShimmerLayout
                android:id="@+id/shimmerLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="bottom|center_horizontal"
                android:layout_marginHorizontal="16dp"
                android:layout_marginVertical="10dp"
                app:shimmer_angle="25"
                app:shimmer_animation_duration="2000"
                app:shimmer_auto_start="true"
                app:shimmer_color="#33ffffff"
                app:shimmer_mask_width="0.2">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@mipmap/adzhanweitu" />

            </io.supercharge.shimmerlayout.ShimmerLayout>

        </FrameLayout>
    </FrameLayout>


</androidx.constraintlayout.widget.ConstraintLayout>